% ---------------------------------------------------- %
% 
% ---------------------------------------------------- %
K2 = 0;
alpha2 = 0;
T2 = 0; 

% ---------------------------------------------------- %
% ȉ͐GȂ
% ---------------------------------------------------- %
% [^̓`B֐
K_nom = 10;
T_nom = 0.0933;
P_s = tf(K_nom,[T_nom 1 0]);

K_okure = K2*alpha2*tf([T2 1],[alpha2*T2 1])

omega = logspace(-2,3,1000); % 10^{-1} - 10^{3} 1000
[Ps_g,Ps_p] = bode(P_s,omega);
Ps_g_dB = 20*log10(Ps_g);

[PsK_g,PsK_p] = bode(P_s*K_okure,omega);
PsK_g_dB = 20*log10(PsK_g);

figure(1)
subplot(211)
semilogx(omega,Ps_g_dB(:))
hold on 
semilogx(omega,PsK_g_dB(:),'r')
grid on
ylabel('Magnitude [dB]')
subplot(212)
semilogx(omega,Ps_p(:))
hold on
semilogx(omega,PsK_p(:),'r')
grid on
xlabel('Frequency [rad/s]')
ylabel('Phase [deg]')

% h = 0.01;
% sysd = c2d(Ks_okure,h,'tustin')
% [Ad,Bd,Cd,Dd] = dssdata(sysd)